Skip to main content
GET
/
v1
/
endpoints
/
{endpointId}
/
events
List captured events for an endpoint
curl --request GET \
  --url https://api.webhook.co/v1/endpoints/{endpointId}/events \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "endpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "receivedAt": "2023-11-07T05:31:56Z",
      "dedupKey": "<string>",
      "verified": true
    }
  ],
  "nextCursor": "<string>",
  "headCursor": "<string>"
}

Authorizations

Authorization
string
header
required

A whk_-prefixed API key (opaque; not a JWT).

Path Parameters

endpointId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

cursor
string

Opaque keyset cursor from a prior page's nextCursor.

limit
integer

Max items to return (1–200, default 50).

Required range: x <= 200
provider
enum<string>[]

Filter by provider (repeatable).

Available options:
stripe,
github,
shopify,
slack,
standard_webhooks,
clerk,
resend,
stytch,
supabase,
render,
brex,
openai,
replicate,
polar,
gemini,
incident_io,
etsy,
vanta,
pusher,
quickbooks,
chargify,
launchdarkly,
modern_treasury,
autodesk_aps,
mongodb_atlas,
xero,
segment,
aftership,
onfleet,
webflow,
klaviyo,
mux,
shippo,
buildkite,
ms_teams,
ably,
squarespace,
nylas,
linkedin,
tiktok,
airship,
lob,
persona,
bolt,
primer,
airwallex,
affirm,
keygen,
constant_contact,
telegram,
mixpanel,
new_relic,
fillout,
zapier,
tally,
loops,
customer_io,
framer,
box,
configcat,
ashby,
merge_dev,
cronofy,
increase,
finch,
knock,
deel,
razorpay,
sentry,
linear,
dropbox,
checkout_com,
lemon_squeezy,
coinbase_commerce,
dwolla,
gocardless,
notion,
meta,
woocommerce,
bitbucket,
atlassian_jira,
x,
clickup,
npm,
heroku,
dub,
cal_com,
asana,
circleci,
pagerduty,
airtable,
calendly,
zoom,
customerio,
sinch,
workos,
front,
zendesk,
twitch,
paddle,
recurly,
docusign,
vercel,
intercom,
paystack,
authorize_net,
sanity,
square,
trello,
twilio,
mandrill,
hubspot,
adyen,
mailgun,
mercado_pago,
braintree,
contentful,
plivo,
typeform,
messagebird,
netlify,
vonage,
monday,
jira_connect,
discord,
telnyx,
sendgrid,
wise,
kinde,
paypal,
aws_sns,
plaid,
ebay,
gitlab,
microsoft_graph,
chargebee,
postmark,
sparkpost,
okta,
bigcommerce,
datadog,
brevo
verificationState
enum<string>[]

Filter by verification state: verified | failed | unattempted (repeatable).

Available options:
verified,
authenticated,
failed,
unattempted
receivedAfter
string

Inclusive lower bound (RFC 3339 instant).

receivedBefore
string

Exclusive upper bound (RFC 3339 instant).

Case-insensitive substring across id fields + header names/values.

Required string length: 1 - 256

Response

Success.

items
object[]
required
nextCursor
string | null
required
headCursor
string | null